sgl_lambda_sequence {sglOptim} | R Documentation

## Computing a Lambda Sequence

### Description

Computes a decreasing lambda sequence of length `d`. The sequence ranges from a data determined maximal lambda λ_\textrm{max} to the user supplied `lambda.min`.

### Usage

    sgl_lambda_sequence(module_name, PACKAGE, data, parameterGrouping = NULL,
      groupWeights = NULL, parameterWeights = NULL, alpha, d = 100,
      lambda.min, algorithm.config = sgl.standard.config,
      lambda.min.rel = FALSE)

### Arguments

`module_name` | reference to objective specific C++ routines.
`PACKAGE` | name of the calling package.
`data` | list of data objects – will be parsed to the specified module.
`parameterGrouping` | grouping of parameters, a vector of length p. Each element of the vector specifying the group of the parameters in the corresponding column of β.
`groupWeights` | group weights, a vector of length `length(unique(parameterGrouping))` (the number of groups).
`parameterWeights` | parameters weights, a matrix of size q \times p.
`alpha` | the α value, 0 for group lasso, 1 for lasso, between 0 and 1 gives a sparse group lasso penalty.
`d` | the length of the lambda sequence.
`lambda.min` | the smallest lambda value in the computed sequence.
`algorithm.config` | the algorithm configuration.
`lambda.min.rel` | is lambda.min relative to lambda.max ? (i.e. actual lambda min used is `lambda.min*lambda.max`, with `lambda.max` the computed maximal lambda value)

### Value

a vector of length `d` containing the compute lambda sequence.

### Author(s)

Martin Vincent

[Package sglOptim version 1.3.8 Index]